<?xml version="1.0"?>

<PropertyList>
	<!--	Ref. [1], p.7-111 ff.
	
		Lights:
			Navigation Lights		3	red (left wing), green (right wing), white (tail, below rudder)
			Landing Lights			2	white	one per main landing gear housing
			Taxi Lights			2	white	one per main landing gear housing
			Anti-Collision Lights		2	red	center section of fuselage, one on top, one on bottom
			optional:
			Strobe Lights			3	white	combined with navigation lights
			Surface Inspection Lights	1	white	Left engine nacelle
			Logo Lights			2	white	Upper side of horizontal stabilizers

	-->
	
	<!--	Properties	-->
	<params>
		<strobe type="string">systems/electrical/outputs/strobe-lights-norm</strobe>
		<anti-coll-lights type="string">systems/electrical/outputs/anti-coll-lights-norm</anti-coll-lights>
		<nav-lights type="string">systems/electrical/outputs/navigation-lights-norm</nav-lights>
		<landing-light type="string" n="0">systems/electrical/outputs/landing-light-norm[0]</landing-light>
		<landing-light type="string" n="1">systems/electrical/outputs/landing-light-norm[1]</landing-light>
		<taxi-light type="string" n="0">systems/electrical/outputs/taxi-light-norm[0]</taxi-light>
		<taxi-light type="string" n="1">systems/electrical/outputs/taxi-light-norm[1]</taxi-light>
		<logo-lights type="string">systems/electrical/outputs/logo-lights-norm</logo-lights>
		<surface-light type="string">systems/electrical/outputs/surface-light-norm</surface-light>
	</params>
	
	<!--	Light attenuation tuned using http://wiki.ogre3d.org/tiki-index.php?page=-Point+Light+Attenuation	-->
	
	<!-- 	Taxi Lights	-->
	<light>
		<name>taxi-light-left</name>
		<type>spot</type>
		<position>
			<x-m> -2.2 </x-m>
			<y-m> -1.5 </y-m>
			<z-m> -0.86</z-m>
		</position>
		<direction>
			<x>-1.0  </x>
			<y> 0.0  </y>
			<z>-0.013</z>
		</direction>
		<ambient>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.022</l>
			<q>0.0019</q>
		</attenuation>
		<spot-exponent>25</spot-exponent>
		<spot-cutoff>30</spot-cutoff>
		<range-m>200</range-m>
		<dim-factor>
			<property alias="/params/taxi-light[0]"/>
		</dim-factor>
	</light>
	<light>
		<name>taxi-light-right</name>
		<type>spot</type>
		<position>
			<x-m> -2.2 </x-m>
			<y-m>  1.5 </y-m>
			<z-m> -0.86</z-m>
		</position>
		<direction>
			<x>-1.0  </x>
			<y> 0.0  </y>
			<z>-0.013</z>
		</direction>
		<ambient>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.022</l>
			<q>0.0019</q>
		</attenuation>
		<spot-exponent>25</spot-exponent>
		<spot-cutoff>30</spot-cutoff>
		<range-m>200</range-m>
		<dim-factor>
			<property alias="/params/taxi-light[1]"/>
		</dim-factor>
	</light>
	<model>
		<path>Lights/white-light.xml</path>
		<name>model-taxi-light-left</name>
		<overlay>
			<params>
				<light-property alias="/params/taxi-light[0]"/>
			</params>
		</overlay>
		<offsets>
			<x-m>  0.65</x-m>
			<y-m> -1.0 </y-m>
			<z-m> -0.86</z-m>
		</offsets>
	</model>
	<model>
		<path>Lights/white-light.xml</path>
		<name>model-taxi-light-right</name>
		<overlay>
			<params>
				<light-property alias="/params/taxi-light[1]"/>
			</params>
		</overlay>
		<offsets>
			<x-m>  0.65</x-m>
			<y-m>  1.0 </y-m>
			<z-m> -0.86</z-m>
		</offsets>
	</model>
	<!--	Landing Lights	-->
	<light>
		<name>landing-light-left</name>
		<type>spot</type>
		<position>
			<x-m> -2.0 </x-m>
			<y-m> -1.0 </y-m>
			<z-m> -1.0 </z-m>
		</position>
		<direction>
			<x>-1.0  </x>
			<y>-0.05  </y>
			<z>-0.013</z>
		</direction>
		<ambient>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.014</l>
			<q>0.0007</q>
		</attenuation>
		<spot-exponent>65</spot-exponent>
		<spot-cutoff>20</spot-cutoff>
		<range-m>300</range-m>
		<dim-factor>
			<property alias="/params/landing-light[0]"/>
		</dim-factor>
	</light>
	<light>
		<name>landing-light-right</name>
		<type>spot</type>
		<position>
			<x-m> -2.0 </x-m>
			<y-m>  1.0 </y-m>
			<z-m> -1.0 </z-m>
		</position>
		<direction>
			<x>-1.0  </x>
			<y> 0.05 </y>
			<z>-0.013</z>
		</direction>
		<ambient>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.014</l>
			<q>0.0007</q>
		</attenuation>
		<spot-exponent>65</spot-exponent>
		<spot-cutoff>20</spot-cutoff>
		<range-m>300</range-m>
		<dim-factor>
			<property alias="/params/landing-light[1]"/>
		</dim-factor>
	</light>
	<model>
		<path>Lights/white-light.xml</path>
		<name>model-landing-light-left</name>
		<overlay>
			<params>
				<light-property alias="/params/landing-light[0]"/>
			</params>
		</overlay>
		<offsets>
			<x-m>  0.65</x-m>
			<y-m> -1.0 </y-m>
			<z-m> -1.0 </z-m>
		</offsets>
	</model>
	<model>
		<path>Lights/white-light.xml</path>
		<name>model-landing-light-right</name>
		<overlay>
			<params>
				<light-property alias="/params/landing-light[1]"/>
			</params>
		</overlay>
		<offsets>
			<x-m>  0.65</x-m>
			<y-m>  1.0 </y-m>
			<z-m> -1.0 </z-m>
		</offsets>
	</model>
	
	<!--	NAVIGATION LIGHTS	-->
	<!--	Red	(left wingtip)
		Green	(right wintip)
		White	(tail)
	-->
	<light>
		<name>red-navlight</name>
		<type>spot</type>
		<position>
			<x-m> 2.1 </x-m>
			<y-m>-8.48</y-m>
			<z-m> 1.05</z-m>
		</position>
		<direction>
			<x> -0.1  </x>
			<y> -1.0  </y>
			<z>  0.0  </z>
		</direction>
		<ambient>
			<r>1.0</r>
			<g>0.1</g>
			<b>0.1</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>1.0</r>
			<g>0.1</g>
			<b>0.1</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>1.0</r>
			<g>0.1</g>
			<b>0.1</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.22</l>
			<q>0.20</q>
		</attenuation>
		<spot-exponent>1</spot-exponent>
		<spot-cutoff>89</spot-cutoff>
		<range-m>10</range-m>
		<dim-factor>
			<property alias="/params/nav-lights"/>
		</dim-factor>
	</light>
	<light>
		<name>green-navlight</name>
		<type>spot</type>
		<position>
			<x-m> 2.1 </x-m>
			<y-m> 8.48</y-m>
			<z-m> 1.05</z-m>
		</position>
		<direction>
			<x> -0.1  </x>
			<y>  1.0  </y>
			<z>  0.0  </z>
		</direction>
		<ambient>
			<r>0.1</r>
			<g>1.0</g>
			<b>0.1</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>0.1</r>
			<g>1.0</g>
			<b>0.1</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>0.1</r>
			<g>1.0</g>
			<b>0.1</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.22</l>
			<q>0.20</q>
		</attenuation>
		<spot-exponent>1</spot-exponent>
		<spot-cutoff>89</spot-cutoff>
		<range-m>10</range-m>
		<dim-factor>
			<property alias="/params/nav-lights"/>
		</dim-factor>
	</light>
	<light>
		<name>tail-navlight</name>
		<type>spot</type>
		<position>
			<x-m>10.46</x-m>
			<y-m> 0.0 </y-m>
			<z-m> 0.49</z-m>
		</position>
		<direction>
			<x>  1.0  </x>
			<y>  0.0  </y>
			<z>  0.0  </z>
		</direction>
		<ambient>
			<r>0.5</r>
			<g>0.5</g>
			<b>0.5</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>0.5</r>
			<g>0.5</g>
			<b>0.5</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>0.5</r>
			<g>0.5</g>
			<b>0.5</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.22</l>
			<q>0.20</q>
		</attenuation>
		<spot-exponent>1</spot-exponent>
		<spot-cutoff>89</spot-cutoff>
		<range-m>20</range-m>
		<dim-factor>
			<property alias="/params/nav-lights"/>
		</dim-factor>
	</light>
	<model>
		<name>model-red-navlight</name>
		<path>Lights/red-navlight.xml</path>
		<offsets>
			<x-m> 2.1 </x-m>
			<y-m>-8.48</y-m>
			<z-m> 1.05</z-m>
		</offsets>
	</model>
	<model>
		<name>model-green-navlight</name>
		<path>Lights/green-navlight.xml</path>
		<offsets>
			<x-m> 2.1 </x-m>
			<y-m> 8.48</y-m>
			<z-m> 1.05</z-m>
		</offsets>
	</model>
	<model>
		<name>model-tail-navlight</name>
		<path>Lights/tail-navlight.xml</path>
		<offsets>
			<x-m>10.46</x-m>
			<y-m> 0.0 </y-m>
			<z-m> 0.49</z-m>
		</offsets>
	</model>
	
	<!--	Strobe Lights	-->
	<light>
		<name>left-strobe</name>
		<type>spot</type>
		<position>
			<x-m> 2.12</x-m>
			<y-m>-8.48</y-m>
			<z-m> 1.05</z-m>
		</position>
		<direction>
			<x> -0.1  </x>
			<y> -1.0  </y>
			<z>  0.0  </z>
		</direction>
		<ambient>
			<r>1.0</r>
			<g>1.0</g>
			<b>1.0</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>1.0</r>
			<g>1.0</g>
			<b>1.0</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>1.0</r>
			<g>1.0</g>
			<b>1.0</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.22</l>
			<q>0.20</q>
		</attenuation>
		<spot-exponent>1</spot-exponent>
		<spot-cutoff>89</spot-cutoff>
		<range-m>10</range-m>
		<dim-factor>
			<property alias="/params/strobe"/>
		</dim-factor>
	</light>
	<light>
		<name>right-strobe</name>
		<type>spot</type>
		<position>
			<x-m> 2.12</x-m>
			<y-m> 8.48</y-m>
			<z-m> 1.05</z-m>
		</position>
		<direction>
			<x> -0.1  </x>
			<y>  1.0  </y>
			<z>  0.0  </z>
		</direction>
		<ambient>
			<r>1.0</r>
			<g>1.0</g>
			<b>1.0</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>1.0</r>
			<g>1.0</g>
			<b>1.0</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>1.0</r>
			<g>1.0</g>
			<b>1.0</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.22</l>
			<q>0.20</q>
		</attenuation>
		<spot-exponent>1</spot-exponent>
		<spot-cutoff>89</spot-cutoff>
		<range-m>10</range-m>
		<dim-factor>
			<property alias="/params/strobe"/>
		</dim-factor>
	</light>
	<light>
		<name>tail-strobe</name>
		<type>spot</type>
		<position>
			<x-m>10.46</x-m>
			<y-m> 0.0 </y-m>
			<z-m> 0.46</z-m>
		</position>
		<direction>
			<x>  1.0  </x>
			<y>  0.0  </y>
			<z>  0.0  </z>
		</direction>
		<ambient>
			<r>1.0</r>
			<g>1.0</g>
			<b>1.0</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>1.0</r>
			<g>1.0</g>
			<b>1.0</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>1.0</r>
			<g>1.0</g>
			<b>1.0</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.22</l>
			<q>0.20</q>
		</attenuation>
		<spot-exponent>1</spot-exponent>
		<spot-cutoff>89</spot-cutoff>
		<range-m>20</range-m>
		<dim-factor>
			<property alias="/params/strobe"/>
		</dim-factor>
	</light>
	<model>
		<name>model-left-strobe</name>
		<path>Lights/left-strobe.xml</path>
		<offsets>
			<x-m> 2.12</x-m>
			<y-m>-8.48</y-m>
			<z-m> 1.05</z-m>
		</offsets>
	</model>
	<model>
		<name>model-right-strobe</name>
		<path>Lights/right-strobe.xml</path>
		<offsets>
			<x-m> 2.12</x-m>
			<y-m> 8.48</y-m>
			<z-m> 1.05</z-m>
		</offsets>
	</model>
	<model>
		<name>model-tail-strobe</name>
		<path>Lights/tail-strobe.xml</path>
		<offsets>
			<x-m>10.46</x-m>
			<y-m> 0.0 </y-m>
			<z-m> 0.46</z-m>
		</offsets>
	</model>
	
	<!--	Anti-Collision Lights	-->
	<light>
		<name>top-anti-coll</name>
		<type>spot</type>
		<position>
			<x-m> 2.34</x-m>
			<y-m> 0.0 </y-m>
			<z-m> 1.06</z-m>
		</position>
		<direction>
			<x> 0.0 </x>
			<y> 0.0 </y>
			<z> 1.0 </z>
		</direction>
		<ambient>
			<r>1.0</r>
			<g>0.1</g>
			<b>0.1</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>1.0</r>
			<g>0.1</g>
			<b>0.1</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>1.0</r>
			<g>0.1</g>
			<b>0.1</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>2.0</l>
			<q>4.0</q>
		</attenuation>
		<spot-exponent>0.1</spot-exponent>
		<spot-cutoff>89</spot-cutoff>
		<range-m>30</range-m>
		<dim-factor>
			<property alias="/params/anti-coll-lights"/>
		</dim-factor>
	</light>
	<light>
		<name>bottom-anti-coll</name>
		<type>spot</type>
		<position>
			<x-m>-4.07</x-m>
			<y-m> 0.0 </y-m>
			<z-m>-0.94</z-m>
		</position>
		<direction>
			<x> 0.0 </x>
			<y> 0.0 </y>
			<z>-1.0 </z>
		</direction>
		<ambient>
			<r>1.0</r>
			<g>0.1</g>
			<b>0.1</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>1.0</r>
			<g>0.1</g>
			<b>0.1</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>1.0</r>
			<g>0.1</g>
			<b>0.1</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>2.0</l>
			<q>4.0</q>
		</attenuation>
		<spot-exponent>0.1</spot-exponent>
		<spot-cutoff>89</spot-cutoff>
		<range-m>30</range-m>
		<dim-factor>
			<property alias="/params/anti-coll-lights"/>
		</dim-factor>
	</light>
	<model>
		<name>model-top-anti-coll</name>
		<path>Lights/anti-coll.xml</path>
		<overlay>
			<params>
				<light-property alias="/params/anti-coll-lights"/>
			</params>
		</overlay>
		<offsets>
			<x-m> 2.34</x-m>
			<y-m> 0.0 </y-m>
			<z-m> 1.06</z-m>
		</offsets>
	</model>
	<model>
		<name>model-bottom-anti-coll</name>
		<path>Lights/anti-coll.xml</path>
		<overlay>
			<params>
				<light-property alias="/params/anti-coll-lights"/>
			</params>
		</overlay>
		<offsets>
			<x-m>-4.07</x-m>
			<y-m> 0.0 </y-m>
			<z-m>-0.94</z-m>
		</offsets>
	</model>
	
	<!--	Surface Light	-->
	<model>
		<name>model-surface-light</name>
		<path>Lights/white-light.xml</path>
		<overlay>
			<params>
				<light-property alias="/params/surface-light"/>
			</params>
		</overlay>
		<offsets>
			<x-m>-0.2 </x-m>
			<y-m>-2.82</y-m>
			<z-m> 0.92</z-m>
			<heading-deg> 90</heading-deg>
		</offsets>
	</model>
	<light>
		<name>surface-light</name>
		<type>spot</type>
		<position>
			<x-m>-0.2 </x-m>
			<y-m>-2.82</y-m>
			<z-m> 0.92</z-m>
		</position>
		<direction>
			<x> 0.1  </x>
			<y>-0.5  </y>
			<z> 0.0 </z>
		</direction>
		<ambient>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.5</l>
			<q>1.1</q>
		</attenuation>
		<spot-exponent>70</spot-exponent>
		<spot-cutoff>10</spot-cutoff>
		<range-m>7</range-m>
		<dim-factor>
			<property alias="/params/surface-light"/>
		</dim-factor>
	</light>
	
	<!--	Logo Lights	-->
	<model>
		<name>model-logo-light-left</name>
		<path>Lights/white-light.xml</path>
		<overlay>
			<params>
				<light-property alias="/params/logo-lights"/>
			</params>
		</overlay>
		<offsets>
			<x-m> 9.65</x-m>
			<y-m>-1.05</y-m>
			<z-m> 0.56</z-m>
			<pitch-deg>90</pitch-deg>
		</offsets>
	</model>
	<model>
		<name>model-logo-light-right</name>
		<path>Lights/white-light.xml</path>
		<overlay>
			<params>
				<light-property alias="/params/logo-lights"/>
			</params>
		</overlay>
		<offsets>
			<x-m> 9.65</x-m>
			<y-m> 1.05</y-m>
			<z-m> 0.56</z-m>
			<pitch-deg>90</pitch-deg>
		</offsets>
	</model>
	<light>
		<name>logo-light-left</name>
		<type>spot</type>
		<position>
			<x-m> 9.65</x-m>
			<y-m>-1.05</y-m>
			<z-m> 0.57</z-m>
		</position>
		<direction>
			<x>-0.2  </x>
			<y> 0.5  </y>
			<z> 0.7 </z>
		</direction>
		<ambient>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.5</l>
			<q>1.1</q>
		</attenuation>
		<spot-exponent>5</spot-exponent>
		<spot-cutoff>60</spot-cutoff>
		<range-m>5</range-m>
		<dim-factor>
			<property alias="/params/logo-lights"/>
		</dim-factor>
	</light>
	<light>
		<name>logo-light-right</name>
		<type>spot</type>
		<position>
			<x-m> 9.65</x-m>
			<y-m> 1.05</y-m>
			<z-m> 0.57</z-m>
		</position>
		<direction>
			<x>-0.2  </x>
			<y>-0.5  </y>
			<z> 0.7 </z>
		</direction>
		<ambient>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</ambient>
		<diffuse>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</diffuse>
		<specular>
			<r>0.9</r>
			<g>0.9</g>
			<b>0.9</b>
			<a>1</a>
		</specular>
		<attenuation>
			<c>1.0</c>
			<l>0.5</l>
			<q>1.1</q>
		</attenuation>
		<spot-exponent>5</spot-exponent>
		<spot-cutoff>60</spot-cutoff>
		<range-m>5</range-m>
		<dim-factor>
			<property alias="/params/logo-lights"/>
		</dim-factor>
	</light>
	
	<animation>
		<type>noshadow</type>
		<object-name>model-taxi-light-left</object-name>
		<object-name>model-taxi-light-right</object-name>
		<object-name>model-landing-light-left</object-name>
		<object-name>model-landing-light-right</object-name>
		<object-name>model-red-navlight</object-name>
		<object-name>model-green-navlight</object-name>
		<object-name>model-tail-navlight</object-name>
		<object-name>model-left-strobe</object-name>
		<object-name>model-right-strobe</object-name>
		<object-name>model-tail-strobe</object-name>
		<object-name>model-top-anti-coll</object-name>
		<object-name>model-bottom-anti-coll</object-name>
		<object-name>model-surface-light</object-name>
		<object-name>model-logo-light-left</object-name>
		<object-name>model-logo-light-right</object-name>
	</animation>
</PropertyList>
